Refund

The Refund API allows merchants to process full or partial refunds for previously placed orders.

Merchants must provide a valid orderId along with the desired refundAmount. Refunds cannot exceed the original transaction amount or be requested outside the allowed refund period.

Upon a successful request, the API will return the refund status as SUCCESS. If the request fails (e.g., refund amount greater than the paid amount or refund period expired), the API will return an appropriate error message and error code.

Body Params
string
required

You can search by Taly order ID, Merchant order ID

float
required

This field specifies the total amount to be refunded to the customer. If delivery fees are to be refunded, include them in this amount along with the value of the item(s) being refunded. The amount must be provided as a float, with up to three decimal places.

string
required

Reason for the return (items are duplicated, customer changed his mind, broken item, ..etc)

string
required
Defaults to KWD

Refund currency of the original payment method paid by the customer

returnItems
array of objects

This is non mandatory fields, but you can share it with us if needed.

returnItems
Responses

400

400

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json